/***************************************************************************
 *   Copyright (C) 2005-2009 by Hannes Hauswedell                          *
 *   kports@soulrebel.in-berlin.de                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef KPORTSGLOBAL_H
#define KPORTSGLOBAL_H

#include <QApplication>

class QBsdPort;



class KPortsGlobal : public QObject
{
Q_OBJECT
private:
    static KPortsGlobal* m_instance;
    
    KPortsGlobal(QObject* parent = qApp)
        : QObject(parent)
    {
    }

    ~KPortsGlobal()
    {
    }

public:
    static KPortsGlobal* instance();

signals:
    /* search related */
    void    searching();
    void    searchProgress(int);
    void    searchResult(QBsdPort*);
    void    searchFinished();
};


#endif //KPORTSGLOBAL_H
